uk.gov.hmrc.play.fsm.JourneyController

# internal

###
Related Doc: package JourneyController

#### object internal

Internal FSM controller models and functions.

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. internal
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### sealed abstract class ActionsDSL extends AnyRef

   Actions DSL, transition function types are left abstract.

   Actions DSL, transition function types are left abstract.

   Attributes
     protected

2. #### sealed abstract class DoubleArgumentActionsDSL[A, B] extends ActionsDSL

   Actions DSL with double arguments for transitions.

   Actions DSL with double arguments for transitions.

   Attributes
     protected

3. #### sealed trait Executable extends AnyRef

   Interface of the action building blocks.

   Interface of the action building blocks.

   Provides common post-processing functions:

   - display to force display - displayUsing to force display using custom renderer - redirect to force redirect - redirectOrDisplayIfSame to display if state didn't change, otherwise redirect - redirectOrDisplayUsingIfSame to display using custom renderer if state didn't change, otherwise redirect - redirectOrDisplayIf to display if state of some type, otherwise redirect - redirectOrDisplayUsingIf to display using custom renderer if state of some type, otherwise redirect - displayOrRedirectIf to redirect if state of some type, otherwise display - displayUsingOrRedirectIf to redirect if state of some type, otherwise display using custom renderer - andCleanBreadcrumbs to clean history (breadcrumbs) - transform to transform final result - recover to recover from an error using custom strategy - recoverWith to recover from an error using custom strategy

4. #### final class GetAsync0[R] extends SingleArgumentActionsDSL[R]

   Actions DSL: Action builder wrapping async function returning some value.

5. #### final class GetAsync1[A, T] extends DoubleArgumentActionsDSL[A, T]

   Actions DSL: Action builder wrapping async function returning some value.

6. #### case class Settings(outcomeFactoryOpt: Option[OutcomeFactory] = None) extends Product with Serializable

   Customizable execution-time settings.

7. #### sealed abstract class SimpleActionsDSL extends ActionsDSL

   Simple Actions DSL with no arguments for transitions.

8. #### sealed abstract class SingleArgumentActionsDSL[A] extends ActionsDSL

   Actions DSL with single argument for transitions.

   Actions DSL with single argument for transitions.

   Attributes
     protected

9. #### final class WhenAuthorised extends SimpleActionsDSL

   Actions DSL: Action builder wrapping authorization function.

   Actions DSL: Action builder wrapping authorization function. Does not supply any user data.

   Note

     see also WhenAuthorisedWithRetrievals

10. #### final class WhenAuthorisedWithRetrievals[User] extends SingleArgumentActionsDSL[User]

    Actions DSL: Action builder wrapping authorization function supplying retrieved user data.

    Actions DSL: Action builder wrapping authorization function supplying retrieved user data.

    Note

      see also WhenAuthorised

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### object Settings extends Serializable

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

17. #### def toString(): String

    Definition Classes
      AnyRef → Any

18. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped